Support
Student Support
Instructor Support
Forgot Your Login Info?
System Requirements

System Requirements

Back to top

Operating Systems and Browsers

MyLogicLab

For MyLogicLab, the following operating systems and browsers are supported:

Operating Systems

Browsers

PC

Windows 2000

Internet Explorer 6.0, 7.0

Windows 2003 Internet Explorer 6.0, 7.0
Windows XP Internet Explorer 6.0, 7.0

Windows Vista

Internet Explorer 6.0, 7.0

Macintosh

OSX 10.4

Safari 2.0

 

MyLogicLab CourseCompass

For MyLogicLab CourseCompass*, the following operating systems and browsers are supported:

Operating Systems

Browsers

PC

Windows 2000

Internet Explorer 5.0, 5.5, 6.0
Netscape 7.0

Windows XP

Netscape 7.0

Macintosh

OS 9.2


Internet Explorer 5.1
Netscape 7.0

OSX 10.1


Internet Explorer 5.1, 5.2
Netscape 7.0

OSX 10.2

Internet Explorer 5.2
Netscape 7.0

 

* AOL users: You cannot view CourseCompass using the AOL browser. You can, however, use AOL as your Internet Service Provider to access the Internet, then open either the Internet Explorer or Netscape Navigator browser within AOL to access CourseCompass.

** You cannot view TestGen tests on Macintosh 9.2. For more specific requirements for TestGen view TestGen Plug-in system requirements.

To check your operating system, turn on your computer and look for information on your operating system as the computer boots up. You can also find this information in your computer settings. For example, if you have a PC you can look at “View System Information” in “My Computer,” which is accessible from the Start menu.

If you are unsure of the browser version you are using, launch the browser and select Help from the menu bar. Next, select "About Browser" (the browser name and the exact wording of the selection will vary) and a window will open with your browser name and version.

Cookies and JavaScript options

MyLogicLab may use both cookies and JavaScript technology. (Cookies provide a way for the Web site to identify users and keep track of their preferences.) Both of these features must be turned on in your browser and are usually enabled by default. See your browser Help for instructions on how to view or change these browser options.

Popup windows

Some features of this website display in a popup browser window. If you are using a browser that offers popup control or are running an add-on program to control popups, you may need to take steps to use such features. The steps to take depend on the browser or add-on program you are using.

Back to top

MyLogicLab BlackBoard/WebCT

Please log into the Blackboard or WebCT service hosted at your school and find the system requirements listed for your version of the platform software.

Back to top

Plug-ins

You will need the following applications to use MyLogicLab. You can download these applications using the Browser Tune-up.

Application Name

Version

 

PC

Mac

Adobe Flash Player

8

8.0

Microsoft PowerPoint Viewer

2003

2004

Adobe Reader

7.0.5

7.0.5

 

Depending on the content at your site, you may also need to download one or more free plug-ins (such as Adobe® Reader® , Macromedia® Flash™ , or Macromedia Shockwave® ) You can use the Browser Tuneup to check whether a plug-in is installed. If it not, or you need to upgrade your version, you can follow links to download it.

Back to top

Browser Tune-up

The Browser Tune-up utility will tell you whether or not media players and plug-in programs are present on your computer and, when they are present, whether they are up to date.

To check and update media programs or plug-ins

Back to top